API server
https://app.coolify.io/api/v1Migrate a service to another destination/server owned by the authenticated team. Stops the service, optionally transfers persistent volume data when both servers are managed by Coolify, and updates database records. Redeploy after migration completes.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
UUID of the service.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
destination_uuid*string
UUID of the target destination.
migrate_volumes?boolean
Whether to transfer persistent volume data when migrating across servers.
Default
trueResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/services/string/migrate" \ -H "Content-Type: application/json" \ -d '{ "destination_uuid": "string" }'Empty
{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}